function showToast(message, type = 'primary') {
  const toastContainer = document.getElementById('toast-container');
  if (!toastContainer) return;

  const toast = document.createElement('div');
  toast.className = `toast align-items-center text-bg-${type} border-0 show`;
  toast.setAttribute('role', 'alert');
  toast.innerHTML = `<div class="d-flex"><div class="toast-body">${message}</div></div>`;

  toastContainer.appendChild(toast);
  setTimeout(() => { toast.remove(); }, 4000);
}
